# Projector Add-on for Blender
Simple projector creation and modification for [Blender](https://www.blender.org/).

![Projector Add-on for Blender title image](/.github/gifs/title.jpg)

## What this Add-on can do for you
* Easy creation and modification of physically-based projectors.
* Real-world projector settings like [throw ratio](https://en.wikipedia.org/wiki/Throw_(projector)), [resolution](https://en.wikipedia.org/wiki/Computer_display_standard) and [lens shift](https://www.projectorcentral.com/Understanding-Lens-Offset-and-Lens-Shift.htm).
* Project test textures or your own content like images and videos.
* Preview the projections in Cycles render mode (Eevee will be supported when the needed functionality is implemented).

## Projectors Add-on in Action
#### Throw Ratio
![Throw Ratio](/.github/gifs/throw_ratio.gif)

#### Lens Shift
![Lens Shift](/.github/gifs/lens_shift.gif)

#### Image Textures & Resolution
![Image Texture & Resolutions](/.github/gifs/image_textures_resolution.gif)

#### Random Color
![Random Color](/.github/gifs/random_color.gif)

## Note
* works with Blender 2.8 and up

## Wiki
* A growing [wiki](https://github.com/Ocupe/Projectors/wiki) to help users with this add-on. If you have problems or feel that something is missing, please feel free to request more content.

## Installation
* Download the repo by clicking the green **Code** button and then **Download ZIP** (don't unpack the file on your computer).
* Open Blender.
* Go to the User Preferences in the Addon tab.
* Click Install from File and choose the zip file you downloaded.
* Activate the add-on by clicking on the checkbox.

## Missing something?
I'm interested and open to suggestions. Let me know how you use the add-on and how it could improve. Open an issue or message me.

P.S. Germans like to call a projector, a beamer.
